> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an SNA Verification

Creates a new EntityVerificationSession for an entity to verify their phone via Method's SNA verification process.

This starts the verification process by sending a list of URLs in the response.
The URLs should be opened (via background XHR or mobile browser) from the Entity's device matching the phone number provided.

## Path Parameters

## Body

## Returns

Returns an EntityVerificationSession object.

```bash cURL theme={null}
curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8/verification_sessions \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "phone",
    "method": "sna",
    "sna": {}
  }'
```

```javascript Node.js theme={null}
const response = await method
  .entities("ent_au22b1fbFJbp8")
  .verificationSessions
  .create({
    type: "phone",
    method: "sna",
    sna: {},
  });
```

```python Python theme={null}
response = method
  .entities('ent_au22b1fbFJbp8')
  .verification_sessions
  .create({
    'type': 'phone',
    'method': 'sna',
    'sna': {}
  })
```

```json Response theme={null}
{
  "id": "evf_qTNNzCQ63zHJ9",
  "entity_id": "ent_au22b1fbFJbp8",
  "status": "in_progress",
  "type": "phone",
  "method": "sna",
  "sna": {
    "urls": [
      "https://production.methodfi.com/sna/evf_qTNNzCQ63zHJ9/sna_vrf_yAJRRk8djWLc8",
      "https://production.methodfi.com/sna/evf_qTNNzCQ63zHJ9/sna_vrf_8AhxN68kpkHmL"
    ]
  },
  "error": null,
  "created_at": "2024-04-10T22:15:56.091Z",
  "updated_at": "2024-04-10T22:15:56.091Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.